import { css } from "lit-element";

export const style = css`

    :host {
        font-family: 'Roboto', sans-serif;
    }

    .check-item {
        display: flex;
        flex-direction: column;
        flex: 1 0 auto;
        border-bottom: 1px solid #F6F6F6;
    }

    .summary {
        display: flex;
        align-items: center;
        height: 64px;
        border: 1px solid white;
        cursor: pointer;
    }

    :host:focus .summary {
        border: 1px solid #9370F7;
        outline: none;
    }

    :host([open]) .summary {
        background-color: white;
        border: 1px solid white;
    }

    .summary:hover {
        background-color: #F6F6F6;
    }

    .left-column {
        position: relative;
        padding: 0 24px;
    }

    .title {
        font-family: 'Roboto', sans-serif;
        font-size: 1rem;
        font-weight: 400;
        color: #535353;
    }

    .content {
        padding: 0 64px 24px 64px
    }

    ::slotted(p) {
        color: #787878;
        padding: 8px 0;
        font-size: 0.875rem;
    }

    ::slotted(pre) {
        display: block;
        padding: 24px;
        border-radius: 4px;
        margin: 12px 0;
        background-color: #414141;
        color: white;
    }

    popup-menu {
        position: absolute;
        top: 24px;
        left: 16px;

    }

`;